### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.SignalR.Message
  commentId: T:adas_core.Domain.Models.SignalR.Message
  id: Message
  parent: adas_core.Domain.Models.SignalR
  children:
  - adas_core.Domain.Models.SignalR.Message.Data
  - adas_core.Domain.Models.SignalR.Message.GroupedFields
  - adas_core.Domain.Models.SignalR.Message.IdMessage
  - adas_core.Domain.Models.SignalR.Message.Operation
  - adas_core.Domain.Models.SignalR.Message.OperationStr
  - adas_core.Domain.Models.SignalR.Message.ToString
  - adas_core.Domain.Models.SignalR.Message.Version
  langs:
  - csharp
  - vb
  name: Message
  nameWithType: Message
  fullName: adas_core.Domain.Models.SignalR.Message
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Message
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  summary: Represents a message, typically used for communication or data transfer between components.
  example: []
  syntax:
    content: public class Message
    content.vb: Public Class Message
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.SignalR.Message.IdMessage
  commentId: P:adas_core.Domain.Models.SignalR.Message.IdMessage
  id: IdMessage
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: IdMessage
  nameWithType: Message.IdMessage
  fullName: adas_core.Domain.Models.SignalR.Message.IdMessage
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IdMessage
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 11
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public long IdMessage { get; set; }
    parameters: []
    return:
      type: System.Int64
    content.vb: Public Property IdMessage As Long
  overload: adas_core.Domain.Models.SignalR.Message.IdMessage*
- uid: adas_core.Domain.Models.SignalR.Message.Data
  commentId: P:adas_core.Domain.Models.SignalR.Message.Data
  id: Data
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: Data
  nameWithType: Message.Data
  fullName: adas_core.Domain.Models.SignalR.Message.Data
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Data
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 13
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public MessageData? Data { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.SignalR.MessageData
    content.vb: Public Property Data As MessageData
  overload: adas_core.Domain.Models.SignalR.Message.Data*
- uid: adas_core.Domain.Models.SignalR.Message.Version
  commentId: P:adas_core.Domain.Models.SignalR.Message.Version
  id: Version
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: Version
  nameWithType: Message.Version
  fullName: adas_core.Domain.Models.SignalR.Message.Version
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Version
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public string? Version { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Version As String
  overload: adas_core.Domain.Models.SignalR.Message.Version*
- uid: adas_core.Domain.Models.SignalR.Message.GroupedFields
  commentId: P:adas_core.Domain.Models.SignalR.Message.GroupedFields
  id: GroupedFields
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: GroupedFields
  nameWithType: Message.GroupedFields
  fullName: adas_core.Domain.Models.SignalR.Message.GroupedFields
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GroupedFields
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public List<GroupedField>? GroupedFields { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.GroupedObservations.GroupedField}
    content.vb: Public Property GroupedFields As List(Of GroupedField)
  overload: adas_core.Domain.Models.SignalR.Message.GroupedFields*
- uid: adas_core.Domain.Models.SignalR.Message.OperationStr
  commentId: P:adas_core.Domain.Models.SignalR.Message.OperationStr
  id: OperationStr
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: OperationStr
  nameWithType: Message.OperationStr
  fullName: adas_core.Domain.Models.SignalR.Message.OperationStr
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: OperationStr
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 19
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public string OperationStr { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property OperationStr As String
  overload: adas_core.Domain.Models.SignalR.Message.OperationStr*
- uid: adas_core.Domain.Models.SignalR.Message.Operation
  commentId: P:adas_core.Domain.Models.SignalR.Message.Operation
  id: Operation
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: Operation
  nameWithType: Message.Operation
  fullName: adas_core.Domain.Models.SignalR.Message.Operation
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Operation
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 25
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  syntax:
    content: public SubscriptionEnum.Type Operation { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Enums.SubscriptionEnum.Type
    content.vb: Public Property Operation As SubscriptionEnum.Type
  overload: adas_core.Domain.Models.SignalR.Message.Operation*
- uid: adas_core.Domain.Models.SignalR.Message.ToString
  commentId: M:adas_core.Domain.Models.SignalR.Message.ToString
  id: ToString
  parent: adas_core.Domain.Models.SignalR.Message
  langs:
  - csharp
  - vb
  name: ToString()
  nameWithType: Message.ToString()
  fullName: adas_core.Domain.Models.SignalR.Message.ToString()
  type: Method
  source:
    remote:
      path: adas-core.Domain/Models/SignalR/Message.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ToString
    path: ../../adas-core.Domain/Models/SignalR/Message.cs
    startLine: 32
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.SignalR
  summary: Returns a JSON representation of the current object, falling back to the default <xref href="System.Object.ToString" data-throw-if-not-resolved="false"></xref> implementation if serialization fails.
  example: []
  syntax:
    content: public override string? ToString()
    return:
      type: System.String
      description: A JSON-formatted string describing the object, or the result of the base <xref href="System.Object.ToString" data-throw-if-not-resolved="false"></xref> method if serialization throws an exception.
    content.vb: Public Overrides Function ToString() As String
  overridden: System.Object.ToString
  overload: adas_core.Domain.Models.SignalR.Message.ToString*
references:
- uid: adas_core.Domain.Models.SignalR
  commentId: N:adas_core.Domain.Models.SignalR
  href: adas_core.html
  name: adas_core.Domain.Models.SignalR
  nameWithType: adas_core.Domain.Models.SignalR
  fullName: adas_core.Domain.Models.SignalR
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.SignalR
    name: SignalR
    href: adas_core.Domain.Models.SignalR.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.SignalR
    name: SignalR
    href: adas_core.Domain.Models.SignalR.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.SignalR.Message.IdMessage*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.IdMessage
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_IdMessage
  name: IdMessage
  nameWithType: Message.IdMessage
  fullName: adas_core.Domain.Models.SignalR.Message.IdMessage
- uid: System.Int64
  commentId: T:System.Int64
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int64
  name: long
  nameWithType: long
  fullName: long
  nameWithType.vb: Long
  fullName.vb: Long
  name.vb: Long
- uid: adas_core.Domain.Models.SignalR.Message.Data*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.Data
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_Data
  name: Data
  nameWithType: Message.Data
  fullName: adas_core.Domain.Models.SignalR.Message.Data
- uid: adas_core.Domain.Models.SignalR.MessageData
  commentId: T:adas_core.Domain.Models.SignalR.MessageData
  parent: adas_core.Domain.Models.SignalR
  href: adas_core.Domain.Models.SignalR.MessageData.html
  name: MessageData
  nameWithType: MessageData
  fullName: adas_core.Domain.Models.SignalR.MessageData
- uid: adas_core.Domain.Models.SignalR.Message.Version*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.Version
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_Version
  name: Version
  nameWithType: Message.Version
  fullName: adas_core.Domain.Models.SignalR.Message.Version
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.SignalR.Message.GroupedFields*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.GroupedFields
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_GroupedFields
  name: GroupedFields
  nameWithType: Message.GroupedFields
  fullName: adas_core.Domain.Models.SignalR.Message.GroupedFields
- uid: System.Collections.Generic.List{adas_core.Domain.Models.GroupedObservations.GroupedField}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.GroupedObservations.GroupedField}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<GroupedField>
  nameWithType: List<GroupedField>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.GroupedObservations.GroupedField>
  nameWithType.vb: List(Of GroupedField)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.GroupedObservations.GroupedField)
  name.vb: List(Of GroupedField)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.GroupedObservations.GroupedField
    name: GroupedField
    href: adas_core.Domain.Models.GroupedObservations.GroupedField.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.GroupedObservations.GroupedField
    name: GroupedField
    href: adas_core.Domain.Models.GroupedObservations.GroupedField.html
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.SignalR.Message.OperationStr*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.OperationStr
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_OperationStr
  name: OperationStr
  nameWithType: Message.OperationStr
  fullName: adas_core.Domain.Models.SignalR.Message.OperationStr
- uid: adas_core.Domain.Models.SignalR.Message.Operation*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.Operation
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_Operation
  name: Operation
  nameWithType: Message.Operation
  fullName: adas_core.Domain.Models.SignalR.Message.Operation
- uid: adas_core.Domain.Enums.SubscriptionEnum.Type
  commentId: T:adas_core.Domain.Enums.SubscriptionEnum.Type
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.SubscriptionEnum.html
  name: SubscriptionEnum.Type
  nameWithType: SubscriptionEnum.Type
  fullName: adas_core.Domain.Enums.SubscriptionEnum.Type
  spec.csharp:
  - uid: adas_core.Domain.Enums.SubscriptionEnum
    name: SubscriptionEnum
    href: adas_core.Domain.Enums.SubscriptionEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.SubscriptionEnum.Type
    name: Type
    href: adas_core.Domain.Enums.SubscriptionEnum.Type.html
  spec.vb:
  - uid: adas_core.Domain.Enums.SubscriptionEnum
    name: SubscriptionEnum
    href: adas_core.Domain.Enums.SubscriptionEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.SubscriptionEnum.Type
    name: Type
    href: adas_core.Domain.Enums.SubscriptionEnum.Type.html
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: adas_core.Domain.Models.SignalR.Message.ToString*
  commentId: Overload:adas_core.Domain.Models.SignalR.Message.ToString
  href: adas_core.Domain.Models.SignalR.Message.html#adas_core_Domain_Models_SignalR_Message_ToString
  name: ToString
  nameWithType: Message.ToString
  fullName: adas_core.Domain.Models.SignalR.Message.ToString
